from .settings import *
#import sentry_sdk
#from sentry_sdk.integrations.django import DjangoIntegration

# Sentry details
#sentry_sdk.init(
#    dsn="",
#    integrations=[DjangoIntegration()],
#    environment="development",
#
#    # If you wish to associate users to errors (assuming you are using
#    # django.contrib.auth) you may enable sending PII data.
#    send_default_pii=True,
#
#    # performance statistics
#    #traces_sample_rate=0.2
#    traces_sample_rate=1.0
#)

# Set the secret key
SECRET_KEY = ''

# Allowed hosts
if 'dev.konfi-castle-rhein-lahn.de' not in ALLOWED_HOSTS:
    ALLOWED_HOSTS.append('dev.konfi-castle-rhein-lahn.de')

# Database configuration
DATABASES['default'] = {
    'ENGINE': 'django.db.backends.postgresql_psycopg2',
    'NAME': 'cvjmrlktst',
    'USER': 'cvjmrlktst',
    'PASSWORD': '',
    'HOST': '127.0.0.1',
    'PORT': '',
}

INSTALLED_APPS = INSTALLED_APPS + [
    'allauth',
    'allauth.account',
    'allauth.socialaccount',
    'allauth.socialaccount.providers.google'
]
AUTHENTICATION_BACKENDS.append(
    'allauth.account.auth_backends.AuthenticationBackend'
)
MIDDLEWARE.append("allauth.account.middleware.AccountMiddleware")
SOCIALACCOUNT_PROVIDERS = {
    'google': {
        'SCOPE': [
            'profile',
            'email',
        ],
        'AUTH_PARAMS': {
            'access_type': 'online',
        },
        'OAUTH_PKCE_ENABLED': True,
        'FETCH_USERINFO' : True,
        'APP': {
            'client_id': '123',
            'secret': '456',
            'key': ''
        }
    }
}

ACCOUNT_EMAIL_VERIFICATION = 'none'
LOGIN_REDIRECT_URL = "/"
SOCIALACCOUNT_QUERY_EMAIL = True
# ACCOUNT_LOGOUT_ON_GET = True
SITE_ID = 1

# Add further mail support
# INSTALLED_APPS.append('gmailapi_backend')
# GMAIL_USER = 'your-email@domain.com'
# EMAIL_BACKEND = "gmailapi_backend.service.GmailApiBackend"
# GMAIL_SCOPES = ['https://www.googleapis.com/auth/gmail.send']
# GOOGLE_SERVICE_ACCOUNT = '{ \
#      "type": "service_account", \
#      "project_id": "your-project", \
#      "private_key_id": "" \
# }'

# E-Mail host settings
EMAIL_FROM = 'Company <your-email@domain.com>'
EMAIL_HOST = 'smtp.gmail.com'
EMAIL_HOST_USER = 'noreply@whatever.de'
EMAIL_HOST_PASSWORD = ''
EMAIL_USE_TLS = True